corelinux::AbstractCommand Class Referenceabstract

AbstractCommand captures the semantics of the capabilities of commands, which is basically to provide a execution context. More...

`#include <AbstractCommand.hpp>`

## Public Member Functions

| AbstractCommand (void)
| Default Constructor.
| AbstractCommand (AbstractCommandCref)
| Copy constructor.
virtual | ~AbstractCommand (void)
| Virtual Destructor.
AbstractCommandRef | operator= (AbstractCommandCref)
| Assignment operator.
bool | operator== (AbstractCommandCref) const
| Equality operator.
virtual void | execute (void)=0
| Execute the command.
virtual void | executeReverse (void)=0
| Execute the reverse command.
Public Member Functions inherited from corelinux::Synchronized
| Synchronized (void)
| Default constructor.
| Synchronized (SynchronizedCref)
| Copy constructor.
virtual | ~Synchronized (void)
| Virtual Destructor.
SynchronizedRef | operator= (SynchronizedCref)
| Assignment operator.
bool | operator== (SynchronizedCref) const
| Equality operator.

## Additional Inherited Members

Protected Types inherited from corelinux::Synchronized
typedef Guard * | GuardPtr
typedef const Guard * | GuardCptr
typedef Guard & | GuardRef
typedef const Guard & | GuardCref
Protected Member Functions inherited from corelinux::Synchronized
Guard | access (void) const throw (SemaphoreException)
| Access returns a instance of Guard which is block scoped to the caller. More...

## Detailed Description

AbstractCommand captures the semantics of the capabilities of commands, which is basically to provide a execution context.

The documentation for this class was generated from the following files:

- AbstractCommand.hpp
- AbstractCommand.cpp

This is the CoreLinux++ reference manual
Provided by The CoreLinux Consortium